import request from '@/config/axios'

// 质量管理-检验项目 VO
export interface ZjItemVO {
  id: number // ID
  zjType: number // 检验类型
  name: string // 名称
  zjTypeName?: string
  remark: string // 备注
  tool: string // 作业方式
  standardVal: number // 标准值
  unit: string // 单位
  upperVal: number // 上限值
  lowerVal: number // 下限值
}

// 质量管理-检验项目 API
export const ZjItemApi = {
  // 查询质量管理-检验项目分页
  getZjItemPage: async (params: any) => {
    return await request.get({ url: `/mes/zj-item/page`, params })
  },

  getZjItemList: async () => {
    return await request.get({ url: `/mes/zj-item/list` })
  },

  // 查询质量管理-检验项目详情
  getZjItem: async (id: number) => {
    return await request.get({ url: `/mes/zj-item/get?id=` + id })
  },

  // 新增质量管理-检验项目
  createZjItem: async (data: ZjItemVO) => {
    return await request.post({ url: `/mes/zj-item/create`, data })
  },

  // 修改质量管理-检验项目
  updateZjItem: async (data: ZjItemVO) => {
    return await request.put({ url: `/mes/zj-item/update`, data })
  },

  // 删除质量管理-检验项目
  deleteZjItem: async (id: number) => {
    return await request.delete({ url: `/mes/zj-item/delete?id=` + id })
  },

  // 导出质量管理-检验项目 Excel
  exportZjItem: async (params) => {
    return await request.download({ url: `/mes/zj-item/export-excel`, params })
  },
}
